Package org.spongepowered.asm.mixin.extensibility

## Interface IMixinInfo

-     public interface IMixinInfo

  Interface for MixinInfo, used in extensibility API

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getClassBytes()` | Get the class bytecode
    `java.lang.String` | `getClassName()` | Get the name of the mixin class
    `org.objectweb.asm.tree.ClassNode` | `getClassNode​(int flags)` | Get a new tree for the class bytecode
    `java.lang.String` | `getClassRef()` | Get the ref (internal name) of the mixin class
    `IMixinConfig` | `getConfig()` | Get the config to which this mixin belongs
    `java.lang.String` | `getName()` | Get the simple name of the mixin
    `MixinEnvironment.Phase` | `getPhase()` | Get the mixin phase
    `int` | `getPriority()` | Get the mixin priority
    `java.util.List<java.lang.String>` | `getTargetClasses()` | Get the target classes for this mixin
    `boolean` | `isDetachedSuper()` | True if the superclass of the mixin is not the direct superclass of one or more targets.

- - ### Method Detail

    - #### getConfig

          IMixinConfig getConfig()

      Get the config to which this mixin belongs
      Returns:
        the mixin config

    - #### getName

          java.lang.String getName()

      Get the simple name of the mixin
      Returns:
        the simple name (mixin tail minus the package)

    - #### getClassName

          java.lang.String getClassName()

      Get the name of the mixin class
      Returns:
        mixin class name

    - #### getClassRef

          java.lang.String getClassRef()

      Get the ref (internal name) of the mixin class
      Returns:
        mixin class ref (internal name)

    - #### getClassBytes

          byte[] getClassBytes()

      Get the class bytecode
      Returns:
        mixin bytecode (raw bytecode after transformers)

    - #### isDetachedSuper

          boolean isDetachedSuper()

      True if the superclass of the mixin is not the direct superclass of one or more targets.
      Returns:
        true if the mixin has a detached superclass

    - #### getClassNode

          org.objectweb.asm.tree.ClassNode getClassNode​(int flags)

      Get a new tree for the class bytecode
      Parameters:
        `flags` - Flags to pass to the ClassReader
      Returns:
        get a new ClassNode representing the mixin's bytecode

    - #### getTargetClasses

          java.util.List<java.lang.String> getTargetClasses()

      Get the target classes for this mixin
      Returns:
        list of target classes

    - #### getPriority

          int getPriority()

      Get the mixin priority
      Returns:
        the priority

    - #### getPhase

          MixinEnvironment.Phase getPhase()

      Get the mixin phase
      Returns:
        the phase